#include "pitches.h"

int numKeys = 8;
int digInput[] = { 2, 3, 4, 5, 6, 7, 8, 9 };
int myNotes[] = { 
    NOTE_C4, NOTE_D4, NOTE_E4, NOTE_F4, NOTE_G4, NOTE_A4, NOTE_B4, NOTE_C5 
    };
int currentNotes[] = {
    NOTE_C4, NOTE_D4, NOTE_E4, NOTE_F4, NOTE_G4, NOTE_A4, NOTE_B4, NOTE_C5
    };
    
const int speakerPin = 11;
const int potPin1 = A0;
const int potPin2 = A1;
const int buttonPin = 12;

int potValue1;
int potValue2;
int potNote;
int potKey;
int buttonState = 0;


void setup() {
  Serial.begin(9600);
  // Configure digital input pins
  for (int i = 0; i < numKeys; i++) {
    pinMode(digInput[i], INPUT);
  }
  //set rest of pin modes
  pinMode(speakerPin, OUTPUT);
  pinMode(potPin1, INPUT);
  pinMode(potPin2, INPUT);
  pinMode(buttonPin, INPUT);
}

void loop() {
  //read all of the items
  int read0 = digitalRead(digInput[0]);
  int read1 = digitalRead(digInput[1]);
  int read2 = digitalRead(digInput[2]);
  int read3 = digitalRead(digInput[3]);
  int read4 = digitalRead(digInput[4]);
  int read5 = digitalRead(digInput[5]);
  int read6 = digitalRead(digInput[6]);
  int read7 = digitalRead(digInput[7]);
  //check that all are high 
  if (read0 == HIGH && read1 == HIGH && read2 == HIGH && read3 == HIGH &&
      read4 == HIGH && read5 == HIGH && read6 == HIGH && read7 == HIGH) {
      noTone(speakerPin);
  }
  
  //if any of them are not, then play that key  
  for (int j = 0; j < numKeys; j++) {
    int sensorVal = digitalRead(digInput[j]);
    if (sensorVal == LOW) {
      tone(speakerPin, currentNotes[j]);
    }
  }
  delay(25);

  //this part is for changing the notes
  //pot1 sets which note to change to
  //pot2 sets which dig input to change
  potValue1 = analogRead(potPin1);
  potValue2 = analogRead(potPin2);
  potNote = floor(map(potValue1, 0, 1024, 0, numKeys));
  potKey = floor(map(potValue2, 0, 1024, 0, numKeys));
  Serial.print("key: ");
  Serial.print(potKey);
  Serial.print("    ");
  Serial.print("note: ");
  Serial.println(potNote);
  //only set when set button is hit
  buttonState = digitalRead(buttonPin);
  if (buttonState == HIGH) {
    currentNotes[potKey] = myNotes[potNote];
    //set a specific pot key to the pot note
  }
  
}
